summaryrefslogtreecommitdiffstats
path: root/system/wdiff
diff options
context:
space:
mode:
author B. Watson <yalhcru@gmail.com>2017-08-04 11:18:08 +0100
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2017-08-05 07:07:36 +0700
commit264ba54f96bfafbcaddc6e1e48cad189471e1fbc (patch)
treeebeaa44b61b559e84875abda1f3f496fe71d0416 /system/wdiff
parent32f10e845c4d014c82634d550ed6a7811e7d3407 (diff)
downloadslackbuilds-264ba54f96bfafbcaddc6e1e48cad189471e1fbc.tar.gz
slackbuilds-264ba54f96bfafbcaddc6e1e48cad189471e1fbc.tar.xz
system/wdiff: Added (display word differences between text files).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'system/wdiff')
-rw-r--r--system/wdiff/README9
-rw-r--r--system/wdiff/slack-desc19
-rw-r--r--system/wdiff/wdiff.SlackBuild82
-rw-r--r--system/wdiff/wdiff.info10
4 files changed, 120 insertions, 0 deletions
diff --git a/system/wdiff/README b/system/wdiff/README
new file mode 100644
index 0000000000..4529bc8c0c
--- /dev/null
+++ b/system/wdiff/README
@@ -0,0 +1,9 @@
+wdiff (display word differences between text files)
+
+The GNU wdiff program is a front end to diff for comparing files on a word
+per word basis. A word is anything between whitespace. This is useful for
+comparing two texts in which a few words have been changed and for which
+paragraphs have been refilled. It works by creating two temporary files,
+one word per line, and then executes diff on these files. It collects the
+diff output and uses it to produce a nicer display of word differences
+between the original files.
diff --git a/system/wdiff/slack-desc b/system/wdiff/slack-desc
new file mode 100644
index 0000000000..56e805603e
--- /dev/null
+++ b/system/wdiff/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+wdiff: wdiff (display word differences between text files)
+wdiff:
+wdiff: The GNU wdiff program is a front end to diff for comparing files on
+wdiff: a word per word basis. A word is anything between whitespace. This is
+wdiff: useful for comparing two texts in which a few words have been changed
+wdiff: and for which paragraphs have been refilled. It works by creating
+wdiff: two temporary files, one word per line, and then executes diff on
+wdiff: these files. It collects the diff output and uses it to produce a
+wdiff: nicer display of word differences between the original files.
+wdiff:
+wdiff:
diff --git a/system/wdiff/wdiff.SlackBuild b/system/wdiff/wdiff.SlackBuild
new file mode 100644
index 0000000000..dc7e353457
--- /dev/null
+++ b/system/wdiff/wdiff.SlackBuild
@@ -0,0 +1,82 @@
+#!/bin/sh
+
+# Slackware build script for wdiff
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+PRGNAM=wdiff
+VERSION=${VERSION:-1.2.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --infodir=/usr/info \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+rm -f $PKG/usr/info/dir
+gzip -9 $PKG/usr/man/man1/$PRGNAM.1
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS BACKLOG COPYING ChangeLog NEWS README THANKS TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/wdiff/wdiff.info b/system/wdiff/wdiff.info
new file mode 100644
index 0000000000..34dc1f18b6
--- /dev/null
+++ b/system/wdiff/wdiff.info
@@ -0,0 +1,10 @@
+PRGNAM="wdiff"
+VERSION="1.2.2"
+HOMEPAGE="https://www.gnu.org/software/wdiff/"
+DOWNLOAD="http://ftp.gnu.org/gnu/wdiff/wdiff-1.2.2.tar.gz"
+MD5SUM="1c6ddd1f3106139ff9fe00e934df715f"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"